List all customization templates
curl --request GET \
--url https://prod.truv.com/v1/templates/ \
--header 'X-Access-Client-Id: <api-key>' \
--header 'X-Access-Secret: <api-key>'import requests
url = "https://prod.truv.com/v1/templates/"
headers = {
"X-Access-Client-Id": "<api-key>",
"X-Access-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Access-Client-Id': '<api-key>', 'X-Access-Secret': '<api-key>'}
};
fetch('https://prod.truv.com/v1/templates/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"results": [
{
"id": "48427a36d43c4d5aa6324bc06c692456",
"name": "My template",
"products": [
"income"
],
"default_for_products": true,
"created_at": "2022-05-04T11:30:00Z",
"updated_at": "2022-05-04T12:00:00Z",
"bridge": {},
"branding": {},
"orders": {},
"document_upload": {},
"data": {},
"reports": {
"hidden_sections": {
"deposits": true,
"large_deposits": true,
"historical_payment_summary": true
},
"days_requested": 60,
"large_deposit_threshold": 500,
"transaction_categories": [
"Food & Dining",
"Travel",
"Shopping"
],
"transaction_account_types": [
"CHECKING",
"SAVINGS"
],
"transaction_account_subtypes": [
"FIXED_ANNUITY",
"LOCKED_IN_RETIREMENT_ACCOUNT",
"PLAN_401_A"
],
"income_insights": {
"days_requested": 60,
"consumer_report_permissible_purpose": "WRITTEN_INSTRUCTION_OTHER"
}
},
"data_sources_flow": {
"employment": {
"flow": "fallback",
"data_sources": [
"payroll"
]
},
"income": {
"flow": "fallback",
"data_sources": [
"payroll"
]
},
"insurance": {
"flow": "fallback",
"data_sources": [
"insurance"
]
}
}
}
],
"next": "<string>",
"previous": "<string>"
}{
"error": {
"code": "authentication_failed",
"message": "No such token"
}
}{
"error": {
"code": "not_authenticated",
"message": "Authentication credentials were not provided."
}
}UX Customization
List all customization templates
The endpoint returns a list of all customization templates for user.
GET
/
v1
/
templates
/
List all customization templates
Authorizations
Client ID
Client Access Key
Query Parameters
Search query by a name.
Default for products
Filter by products
Available options:
income, employment, deposit_switch, pll, insurance, transactions, assets Example:
"income"
A page number within the paginated result set.
Number of results to return per page.
Was this page helpful?
⌘I